#include <stdio.h>
#include <string.h>
#include <process.h>
#include <stdlib.h>

void main(int cant,void *parms[])
{
  FILE *entrada;
  FILE *corto;
  FILE *largo;
  char nombre[20];
  char *punto;
  char buffer[256];

  if (cant<3)
  {
    printf("\n\nERROR:\n\tFaltan Parametros");
    exit (5);
  }

  strcpy(nombre,parms[1]);
  punto = strchr (nombre,'.');

  if ((entrada=fopen(nombre,"r"))==NULL)
  {
    printf ("ERROR: Al abrir %s",nombre);
    exit (1);
  }

  strcpy (punto,".COR");

  if ((corto=fopen(nombre,"w+"))==NULL)
  {
    printf("ERROR: Abriendo %s",nombre);
    fclose(entrada);
    exit(2);
  }

  strcpy(punto,".LAR");

  if ((largo=fopen(nombre,"w+"))==NULL)
  {
    printf ("ERROR: Abriendo %s",nombre);
    fclose (entrada);
    fclose (corto);
    exit(3);
  }

  while (fgets(buffer,255,entrada)!=NULL)
  {
    if (strlen(buffer)>atoi(parms[2]))
	 fputs (buffer,largo);
    else
	 fputs (buffer,corto);
  }
  fclose (entrada);
  fclose (corto);
  fclose (largo);
}